org.apache.lucene.codecs.lucene70

## Class Lucene70Codec

- java.lang.Object
- - org.apache.lucene.codecs.Codec
  - - org.apache.lucene.codecs.lucene70.Lucene70Codec

All Implemented Interfaces:
  NamedSPILoader.NamedSPI

    public class Lucene70Codec
    extends Codec

Implements the Lucene 7.0 index format, with configurable per-field postings and docvalues formats.

If you want to reuse functionality of this codec in another codec, extend `FilterCodec`.

See Also:
  `package documentation for file format details.`
WARNING: This API is experimental and might change in incompatible ways in the next release.

### Constructor Summary

Constructors
Constructor and Description
`Lucene70Codec()` Instantiates a new codec.

### Method Summary

All Methods Instance Methods Concrete Methods
`CompoundFormat` `compoundFormat()`
`DocValuesFormat` `docValuesFormat()`
`FieldInfosFormat` `fieldInfosFormat()`
`LiveDocsFormat` `liveDocsFormat()`
`NormsFormat` `normsFormat()`
`PointsFormat` `pointsFormat()`
`PostingsFormat` `postingsFormat()`
`SegmentInfoFormat` `segmentInfoFormat()`
`StoredFieldsFormat` `storedFieldsFormat()`
`TermVectorsFormat` `termVectorsFormat()`

### Methods inherited from class org.apache.lucene.codecs.Codec

`availableCodecs, forName, getDefault, getName, reloadCodecs, setDefault, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### Lucene70Codec

    public Lucene70Codec()

Instantiates a new codec.

### Method Detail

#### storedFieldsFormat

    public final StoredFieldsFormat storedFieldsFormat()

Specified by:
  `storedFieldsFormat` in class `Codec`

#### termVectorsFormat

    public final TermVectorsFormat termVectorsFormat()

Specified by:
  `termVectorsFormat` in class `Codec`

#### postingsFormat

    public final PostingsFormat postingsFormat()

Specified by:
  `postingsFormat` in class `Codec`

#### fieldInfosFormat

    public final FieldInfosFormat fieldInfosFormat()

Specified by:
  `fieldInfosFormat` in class `Codec`

#### segmentInfoFormat

    public final SegmentInfoFormat segmentInfoFormat()

Specified by:
  `segmentInfoFormat` in class `Codec`

#### liveDocsFormat

    public final LiveDocsFormat liveDocsFormat()

Specified by:
  `liveDocsFormat` in class `Codec`

#### compoundFormat

    public final CompoundFormat compoundFormat()

Specified by:
  `compoundFormat` in class `Codec`

#### pointsFormat

    public final PointsFormat pointsFormat()

Specified by:
  `pointsFormat` in class `Codec`

#### docValuesFormat

    public final DocValuesFormat docValuesFormat()

Specified by:
  `docValuesFormat` in class `Codec`

#### normsFormat

    public final NormsFormat normsFormat()

Specified by:
  `normsFormat` in class `Codec`